Status: New Start date: 2009-12-22

Priority: High Due date:  

Assignee:  % Done: 50%

Category: Custom fields Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

If a string field has value which are wiki pages, it is very useful to improve relationship between wiki pages and issues.

If it is possible, I can use this fields the following purpose.

Related Requirement

Related Design

Related Customer

This wiki string field must have some user interface features.

link to wiki pages.

If linked wiki page is not exist, show it some differently, red?.

If this field has an option, which is "view the fragment of page", linked wiki pages are displayed with overflow style sheet

property that has "none" value.

If this field has an option, which is "multiple", several wiki pages can be used as value with comma.

It is possible?

I tried(reviewed) some AGILE plugins which have backlogs and so on. But I found Wiki is more useful.

Each issues are scattered but wiki pages are central and version controlled by Redmine.

If it is possible, the wiki pages can have a macro, which is named "{{related_issues(optional field names)}}".

Is it NICE?

Thanks.

History

#1 - 2010-01-03 22:48 - m m

- Assignee set to Azamat Hackimov

- % Done changed from 0 to 50

#2 - 2010-04-06 22:58 - Emmanuel Charpentier

We looked into this from possibly another point of view, could it be useful?

See #5250, where basically we change custom text rendering so that it goes through textile transformation every time...

#3 - 2010-04-07 03:23 - Kihyun Yun

Emmanuel Charpentier wrote:

We looked into this from possibly another point of view, could it be useful?

See #5250, where basically we change custom text rendering so that it goes through textile transformation every time...

 Sorry, I may helpful for wiki link in a issue view.

But my suggestion is focused on relation between WIKI and ISSUES.

I guess the WIKI central development processes.
https://www.redmine.org/issues/5250
https://www.redmine.org/issues/5250


One requirement will be changed by several stakeholders and developers.

And its issues are scattered in a project. But if all issues on this requirement has relations to the requirement WIKI page, users can track the changes

of the requirements and its solving status.

Thanks a lot.

#4 - 2010-04-07 06:26 - Azamat Hackimov

- Assignee deleted (Azamat Hackimov)
